Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
28 Views

Linking ABAQUS 6.14 with intel parallel studio XE 2016, and Microsoft visual studio 2013 professional

Hi all,

I've tried with many ways to link  ABAQUS 6.14 with Intel parallel studio XE 2017, and Microsoft visual studio 2015 community, but I failed and nobody knows. Now I'm trying to Link ABAQUS 6.14 with intel parallel studio XE 2016, and Microsoft visual studio 2013 professional, could you please tell how I can do that? or what kind of Intel parallel studio and Microsoft visual studio I can use with ABAQUS 6.14? I'm using Windows 10

I followed instructions were given by Greg T in message #15 and Harikrishnan M. #27 (https://software.intel.com/en-us/forums/intel-visual-fortran-compiler-for-windows/topic/599132).

 

Thanks

Qusay

 

0 Kudos
17 Replies
Highlighted
28 Views

By default the full path to  

By default the full path to  "ipsxe-comp-vars.bat" is "C:\Program Files (x86)\IntelSWTools\compilers_and_libraries_2016\windows\bin".

 

Thanks,

Xiaoping Duan

Intel Customer Support

0 Kudos
Highlighted
Beginner
28 Views

Hi Qusay,

Hi Qusay,

I am having a similar problem with Abaqus 6.13. After searching the internet I've found out that 6.13 is only compatible with Intel Fortran Compiler 12 and earlier. The more specific problem is the MPI. 

The method to check if you are also having the same problem is to open the Abaqus Command:

>abaqus info=system

Any idea how to get Intel Fortran Compiler 12? The earliest I can get from Intel is 2013 (Student Download)

Thanks,

Stephen

0 Kudos
Highlighted
28 Views

Commercial and Academic users

Commercial and Academic users can get old versions back to 8.1, but I think Student licenses don't have older versions available. I think it very unlikely that only one particular compiler version is compatible. What exactly is the problem seen?

Retired 12/31/2016
0 Kudos
Highlighted
Beginner
28 Views

Hi,

Hi,

attachments described what I got after verify:

 

0 Kudos
Highlighted
28 Views

Ok - so you got some

Ok - so you got some nonspecific "error" messages from the ABAQUS install. There's no indication of a relevance to Intel Fortran. Please contact ABAQUS support for help with this - we can't help you here as we have no idea what the ABAQUS install was trying to do or what it didn't like.

Retired 12/31/2016
0 Kudos
Highlighted
Beginner
28 Views

Thanks Steve Lionel, 

Thanks Steve Lionel

I think I passed to link them together as shown in attached file below. When I'm trying to run a job using subroutine, it doesn't work.

Do you think I pass everything correctly based on the attached file? it could be the problem with subroutine itself, right?

 

Thanks

0 Kudos
Highlighted
28 Views

From your attachment, it

From your attachment, it looks as if ABAQUS itself is not installed to its satisfaction. I don't see any evidence that your subroutine is involved. Again, you need to work with ABAQUS support to get you to the point where you can even start thinking about your own code. You're not there yet and we can't help you here.

Retired 12/31/2016
0 Kudos
Highlighted
Beginner
28 Views

What kind of information I

What kind of information I have to see to make sure ABAQUS there or my linking is completely done? ABAQUS support told me that 

"The following versions of fortran compiler and visual studio are supported for Abaqus 6.14: Intel Fortran Composer XE 2011 SP1 Update 4 and Visual Studio 2010 SP1." 

 

Regards

 

0 Kudos
Highlighted
Black Belt
28 Views

This appears to mean only

This appears to mean only that Abaqus 6.13 testing was not extended to newer Microsoft and Intel development tools, not that they could not be used.  If you don't have an Abaqus support license, it may be understandable that they don't want to be more helpful (but this forum can't compensate).  By inference, I suppose you might think Windows 10 should be OK with Abaqus, but you will need to resolve installation errors which don't relate to Microsoft or Intel versions.  Maybe the one about disliking C++ pertains to Visual Studio version; did you check that you are able to build a simple Fortran project (with the same choice of 32- or 64-bit mode you intend for Abaqus) to verify that you have the Fortran and VS installed correctly?

0 Kudos
Highlighted
Beginner
28 Views

Thanks Tim P. for your answer

Thanks Tim P. for your answer. That means I need to make sure ABAQUS is installed correctly, right? By the way, I'm using ABAQUS 6.14_5 by GUI for more 6 months.

Regards

0 Kudos
Highlighted
Black Belt
28 Views

The transcript attached to #7

The transcript attached to #7 shows that Abaqus finds itself capable of building and using Fortran DLLs:

Abaqus make utility with Fortran

         ...PASS

         Continuing...
0 Kudos
Highlighted
Beginner
28 Views

Tim P., do you mean something

Tim P., do you mean something like this https://www.youtube.com/watch?v=E1n8-azFvmg ? Yes, I did. I don't think so the problem with the Fortran and VS installation.  what do you think?

Thanks mecej4, what do you mean by that?

 

Sorry, I'm new to this field and I have many questions and my question might be so weak.

 

Regards,

Qusay

 

0 Kudos
Highlighted
Beginner
28 Views

Hi,

Hi,

ABAQUS technical support replied that ABAQUS 6.14 Refresh 5 is compitable with intel fortran composer xe 2011 update 6 and Visual studio 2012 update 4, so how can I download intel fortran composer xe 2011 update 6 for student?

 

Regards,

Qusay

0 Kudos
Highlighted
28 Views

See if the instructions here

See if the instructions here work for you - I am not sure if an unsupported version that old is available for student licenses. It's also incorrect - they just don't want to be bothered to test with the newer version. If you have problems with the old version, we may not be able to help you.

Retired 12/31/2016
0 Kudos
Highlighted
Beginner
28 Views

Thanks, I tried to get Intel

Thanks, I tried to get Intel Fortran composer  XE 2011 update 6 here , but I cannot find it, I know it's incorrect, since many people run Abaqus 6.14 with newest compiler, but that I got from their side.

If you can help me to get " Intel Fortran composer  XE 2011 update 6", I appreciate your effort.

 

Regards

0 Kudos
Highlighted
28 Views

If it did not show for you at

If it did not show for you at the Intel Registration Center, then it is not available for your license. You should check carefully, though - in some browsers the arrows for moving up and down the version list don't show and you have to use the arrow keys instead.

Retired 12/31/2016
0 Kudos
Highlighted
Beginner
28 Views

Thanks all.

Thanks all.

For letting you know, these versions work for me. I run one subroutine and it works. 

 ABAQUS 6.14-5

Intel® Parallel Studio XE 2016 Cluster Edition (includes Fortran and C/C++), and

Microsoft visual studio 2013 professional

 

 

0 Kudos